Page MenuHomePhabricator

Document availability of Phabricator during the Bugzilla migration
Closed, ResolvedPublic

Description

One day Bugzilla will switch to read-only mode, and another day (Day 1) Phabricator will be ready for everybody. We need to decide and document what happens in between. Will be Phabricator still available during the migration? Only in read-only mode as well? Totally down?

If users cannot use Phabricator to report bugs, we must decide what to use to handle urgent bug reports.

Event Timeline

Qgil created this task.Sep 22 2014, 9:38 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a project: Bugzilla-Migration.
Qgil changed Security from none to None.
chasemp claimed this task.Sep 29 2014, 8:26 PM

When migrating from BZ to Phab, both will be unavailable/down for the migration window.
Need to define where to escalate serious stuff. IRC, email, etc.

what's the backup plan now if bz is offline?

In T473#8561, @chasemp wrote:

what's the backup plan now if bz is offline?

Reminder: We want to start the migration from BZ to Phab on a Friday to decrease interruption.
How long it is going to take us to migrate 75000 Bugzilla tickets, 20000 user accounts and their metadata (T419 and T572) really depends on the implementation which does not exist yet.
This requires input from @chasemp and @mmodell after we've fixed T552 (test instance with Bugzilla tickets imported set up and knowing how long this approximately took for X imported Bugzilla tickets).

By default I'd kindly ask people to wait with filing an issue report until Phabricator is back up and running if the issue is "not urgent".
We need to define criteria so people can judge whether something is "urgent" enough that it cannot wait until Phab is back up. "The Wikimedia servers have experienced a problem" error pages, complete unavailability services, severe performance issues? Anything else?

The options I potentially see (not necessarily complete and not necessarily great ideas):

  • Some email address / mailing list and from there WMF folks like me can escalate/forward to corresponding teams (or tell people that it's not urgent enough and if they could create a report in a few days)?
  • If RT would be still available, send an email about urgent issues to ops-requests@ to create an RT ticket? :-/
  • An IRC channel (and linking to https://www.mediawiki.org/wiki/MediaWiki_on_IRC ) and numerous IRC nicknames to explicitly ping? I'll be online all that migration weekend anyway, but humans need sleep sometimes...
Aklapper triaged this task as Normal priority.Oct 8 2014, 2:54 PM
Qgil added a subscriber: Qgil.Oct 10 2014, 2:51 PM

I wouldn't touch RT at that point. What about mediawiki.org Support Desk? It's not perfect but it fulfills the basic requirements (simple to post, watch, review, reply) combined with a specially created IRC channel just in case.

What about showing this both in https://bugzilla.wikimedia.org and https://phabricator.wikimedia.org:

Bugzilla is being migrated to Phabricator right now. Both services are down.

The estimated end of the migration is on YYYY-MM-DD HH:MM UTC. In the meantime, we are only processing critical bugs. The rest can wait.

Emergency channels:

greg removed a subscriber: greg.Oct 10 2014, 3:38 PM
In T473#10278, @Qgil wrote:

I wouldn't touch RT at that point.

I'd also prefer to not touch it, to be honest.

What about mediawiki.org Support Desk? It's not perfect but it fulfills the basic requirements (simple to post, watch, review, reply) combined with a specially created IRC channel just in case.

It is a noisy place but I am fine with tracking it way more closely while migrating, sure.

What about showing this both in https://bugzilla.wikimedia.org and https://phabricator.wikimedia.org:

Bugzilla is being migrated to Phabricator right now. Both services are down.

The estimated end of the migration is on YYYY-MM-DD HH:MM UTC. In the meantime, we are only processing critical bugs. The rest can wait.

Emergency channels:

Sounds good, though we must explain how IRC works, e.g. "be patient!" and "sometimes you won't get an answer immediately" as written on https://www.mediawiki.org/wiki/MediaWiki_on_IRC

Qgil added a comment.Oct 10 2014, 9:16 PM
In T473#8560, @Aklapper wrote:

When migrating from BZ to Phab, both will be unavailable/down for the migration window.

Wait, can't Bugzilla be up, just in read-only mode?

Probably up read-only yes, unless there are performance issues with us hammering the API, but either way not really "available" in the sense that you can't interact or file bugs.

Qgil added a comment.Oct 10 2014, 9:22 PM

Understood. Up in read-only mode is preferable considering the window of 1-3 days. The chances of people being stuck because of a detail explained in some bug is high, and anyway we have to T366: Move Bugzilla to old-bugzilla.wikimedia.org sooner or later.

Qgil claimed this task.
Qgil added a comment.Nov 6 2014, 9:57 PM
In T473#10278, @Qgil wrote:

I have asked AT the Support Desk, not to catch them by surprise.

We should have a page on the wiki that explains all of this (who/what/when/where/how long). I will work on having users who try to visit phab redirected to that page during the down period.

Qgil added a comment.Nov 10 2014, 3:06 PM
In T473#19990, @chasemp wrote:

We should have a page on the wiki that explains all of this (who/what/when/where/how long). I will work on having users who try to visit phab redirected to that page during the down period.

The page is https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla and I have started working on a Timeline as first section. This wiki page will have an updated banner when we start the migration.

Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Nov 10 2014, 3:07 PM
Qgil added a comment.Nov 10 2014, 11:52 PM

@chasemp, must Phabricator be down at 00:30 UTC when we start the migration, or is it possible to keep it alive while all the data is exported from Bugzilla?

I mean, does the process start with a full extraction of Bugzilla data (without touching Phabricator), then manipulation of data locally, and then import of the data to Phabricator? I'm asking because it is mainly at the beginning when we need more coordination by more people, and having Phabricator available would be nice-to-have. Otherwise no problem.

Qgil closed this task as Resolved.Nov 11 2014, 12:56 PM

I move my question above to T535#21424, since it is a detail of the migration.

This task is completed: https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla#Timeline

The rest of details belong to T535.